<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <th:block th:include="~{fragments/head}"></th:block>
    <title>SafetyCar</title>
    <script src='https://www.google.com/recaptcha/api.js'></script>
</head>

<body>
<!-- ======= Header ======= -->
<header id="header" class="fixed-top">
    <div class="container d-flex align-items-center">

        <h1 class="logo mr-auto"><a th:ref="/" href="/"><img src="/assets/img/logo.png" alt="safety-car-logo"><span>Safety</span>Car</a>
        </h1>
        <!--        <h1 class="logo mr-auto"><a href="index.html"><span>Safety</span>Car</a></h1>-->
        <!-- Uncomment below if you prefer to use an image logo -->
        <!-- <a href="index.html" class="logo mr-auto"><img src="assets/img/logo.png" alt="" class="img-fluid"></a>-->

        <nav class="nav-menu d-none d-lg-block">
            <ul>
                <li><a th:ref="/" href="/">Home</a></li>
                <li><a th:href="@{/about-us}" href="/about-us">About Us</a></li>
                <li><a th:href="@{/offer}" href="/offer">Simulate Offer</a></li>
                <li><a th:href="@{/policy}" href="/policy">Request Policy</a></li>
                <li sec:authorize="isAuthenticated()"
                    th:if="${#authorization.expression('hasRole(''ADMIN'')')}"><a th:href="@{/requests}">Requests</a>
                </li>
                <li><a th:href="@{/contact}" href="contact.html">Contact</a></li>
                <li sec:authorize="!isAuthenticated()">
                    <a th:href="@{/login}" href="/login">Log in</a>
                </li>
                <li sec:authorize="!isAuthenticated()">
                    <a th:href="@{/register}" href="/register">Register</a>
                </li>
                <li class="drop-down"><a href="" sec:authorize="isAuthenticated()">My Profile</a>
                    <ul>
                        <li><a sec:authentication="name">My Profile</a></li>
                        <li><a th:href="@{/my-requests}" href="/my-requests">My Requests</a></li>
                        <li><a th:href="@{/logout}" href="/logout"> Log out</a></li>
                    </ul>
                </li>

            </ul>
        </nav>
        <!-- .nav-menu -->

        <!--        <div class="header-social-links">-->
        <!--            <a href="#" class="twitter"><i class="icofont-twitter"></i></a>-->
        <!--            <a href="#" class="facebook"><i class="icofont-facebook"></i></a>-->
        <!--            <a href="#" class="instagram"><i class="icofont-instagram"></i></a>-->
        <!--            <a href="#" class="linkedin"><i class="icofont-linkedin"></i></a>-->
        <!--        </div>-->

    </div>
</header><!-- End Header -->


<section id="hero">
    <div id="heroCarousel" class="carousel slide carousel-fade" data-ride="carousel">

        <h1 class="carousel-inner" role="listbox"/>

        <div class="carousel-item active" style="background-image: url(/assets/img/error.jpg);">
            <div class="carousel-container">
                <div class="carousel-content animate__animated animate__fadeInUp">
                    <!--                    <h2 th:text="${message}"></h2>-->
                    <h2>An error occurred. We are very sorry.</h2>
                </div>
            </div>
        </div>
    </div>
</section>

</body>
</html>
